Send a message to a chat
curl --request POST \
--url https://n-api.leadstaker.com/v1/chats/{chatId}/messages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "TEXT",
"content": {
"text": "<string>"
},
"editedId": "<string>",
"repliedId": "<string>",
"forwardedId": "<string>"
}
'import requests
url = "https://n-api.leadstaker.com/v1/chats/{chatId}/messages"
payload = {
"type": "TEXT",
"content": { "text": "<string>" },
"editedId": "<string>",
"repliedId": "<string>",
"forwardedId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'TEXT',
content: {text: '<string>'},
editedId: '<string>',
repliedId: '<string>',
forwardedId: '<string>'
})
};
fetch('https://n-api.leadstaker.com/v1/chats/{chatId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6716d2a57e63cc0015b9f4d1"
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"status": 123,
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Messages
Send a message to a chat
Answers with the id of the created message. Delivery happens asynchronously.
POST
/
v1
/
chats
/
{chatId}
/
messages
Send a message to a chat
Authorizations
Path Parameters
Minimum string length:
1Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Response
Success
Minimum string length:
1⌘I